Bug 22378 - Fix sound alerts on SCO
Summary: Fix sound alerts on SCO
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Self checkout (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 22441 18251
  Show dependency treegraph
 
Reported: 2019-02-20 19:59 UTC by Nick Clemens
Modified: 2019-03-15 22:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22378: Fix audio alerts on SCO (1.55 KB, patch)
2019-02-20 20:01 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 22378: Fix audio alerts on SCO (1.61 KB, patch)
2019-02-25 13:29 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2019-02-20 19:59:40 UTC

    
Comment 1 Nick Clemens 2019-02-20 20:01:57 UTC
Created attachment 85410 [details] [review]
Bug 22378: Fix audio alerts on SCO

Note: The SCO only supports sounds with a full URL, not KOha built in sounds

To test:
1 - Enable audio alerts
2 -  Enable SCO
3 - Note JS error on loading the alerts
4 - Apply patch
5 - No more error
6 - Test with bug 18251
Comment 2 Josef Moravec 2019-02-25 13:29:36 UTC
Created attachment 85615 [details] [review]
Bug 22378: Fix audio alerts on SCO

Note: The SCO only supports sounds with a full URL, not KOha built in sounds

To test:
1 - Enable audio alerts
2 -  Enable SCO
3 - Note JS error on loading the alerts
4 - Apply patch
5 - No more error
6 - Test with bug 18251

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 3 Nick Clemens 2019-02-26 13:18:05 UTC
Trivial, skipping QA
Comment 4 Nick Clemens 2019-02-26 14:41:07 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-03-01 11:08:09 UTC
Pushed to 18.11.x for 18.11.04.

I'm sure we've broken this sort of thing a few times.. would have liked to have seen a selenium test for it...
Comment 6 Jesse Maseto 2019-03-08 18:59:05 UTC
Patch doesn't apply cleanly. Please rebase if needed for 18.05.x.